Subject: bug#9088: Java support

From: Jack Kelly <[email-masked]>
Date: Mon, 18 Jul 2011 17:33:58 +1000

On Mon, Jul 18, 2011 at 4:17 PM, Ralf Wildenhues <[email-masked]> wrote:
> * Jack Kelly wrote on Sat, Jul 16, 2011 at 06:13:58AM CEST:
>> On Sat, Jul 16, 2011 at 9:55 AM, tsuna wrote:
>> > On Fri, Jul 15, 2011 at 1:58 AM, Stefano Lattarini wrote:
>> >> As my java foo is pretty weak, I'm not sure how to handle jar manifests,
>> >> jar entry points, or other jar/javac subtleties and advanced features.
>> >> Suggestions welcome.
>> >
>> > You can create the manifest manually fairly easily.  Here's an example
>> > in the project I'm in the process of autotoolizing:
>> > https://github.com/stumbleupon/opentsdb/blob/6059488f38fc8a51d426d6972eee6fdd1033d851/Makefile#L207
>>
>> Perhaps there should be support for a foo_jar_JARADD, that by analogy
>> to _LDADD, that specifies additional files to be included in the jar?
>
> Why would it have to be a new primary, instead of just reusing _LDADD?

Because, IMO, it's conceptually different. The output's being
assembled with `jar', not `ld'.

-- Jack